﻿Module Module1

    Sub Main()
        Dim uri = New Uri("http://localhost:8240/demo/wcf/samples") 'demo/wcf/samples

        Dim host As New System.ServiceModel.ServiceHost(GetType(ServiceLib.PersonService), uri)

        Try
            host.AddServiceEndpoint(GetType(ServiceLib.IPerson), New System.ServiceModel.WSHttpBinding, "ServiceLib.PersonService")
            Dim behavior As New ServiceModel.Description.ServiceMetadataBehavior()
            behavior.HttpGetEnabled = True
            host.Description.Behaviors.Add(behavior)

            host.Open()
            Console.WriteLine("A szolgáltatás a http://localhost:8240/demo/wcf/samples végponton elindult.")
            Console.WriteLine("Nyomja meg az ENTER-t a szolgáltatás leállításához!")
            Console.WriteLine()
            Console.ReadLine()
            host.Close()
        Catch ex As ServiceModel.CommunicationException
            Console.WriteLine("Hiba: {0}", ex.Message)
            host.Abort()
        End Try

    End Sub

End Module
