﻿Public Class DataAccess
    Private Shared _list As List(Of Person)
    Private Shared Function GetPersonList() As List(Of Person)
        If _list Is Nothing Then
            _list = New List(Of Person)
            With _list
                .Add(New Person(1, "Teszt", "Elek"))
                .Add(New Person(2, "Mekk", "Elek"))
                .Add(New Person(3, "Bekk", "Elek"))
                .Add(New Person(4, "Gipsz", "Jakab"))
                .Add(New Person(5, "Gipsz", "Jakabné"))
            End With
        End If
        Return _list
    End Function

    Public Shared Function GetPerson(ByVal id As Integer) As Person
        Return (From p In GetPersonList() Where p.ID = id).FirstOrDefault
    End Function

    Public Shared Function GetPersons() As List(Of Person)
        Return GetPersonList()
    End Function

End Class
